Subject: bug#61847: debug-early-backtrace only works some of the time.

From: Stefan Monnier <[email-masked]>
Date: Tue, 28 Feb 2023 12:36:32 -0500

>> To get more readable backtraces when used after bootstrapping (as well as
>> in the later phases of bootstrapping).
>
> More readable?  Just how is a backtrace produced using cl-prin1 more
> readable than one using prin1?  They both look pretty much the same.  But
> cl-prin1 only outputs partial information for some things, such as
> compiled functions, so it is not a good choice.  debug-early-backtrace
> should produce _complete_ backtraces.

The output for compiled functions is the main one which I think is more
readable (among those that occur often in backtraces), so let's just
agree to disagree on this one.

> And how will the contition-case you suggest help?  (require 'cl-print nil
> t) returns non-nil in the pertinent circumstances.

The `noerror` argument of `require` doesn't silence the errors that
happen while loading the file, instead it prevents signaling an error
when the file is not found.

> Putting a condition-case around that isn't going to change this.

I'm hoping it will.

> Have you actually tried out your patch?

No.

        Stefan